<script setup lang="ts">
import HelloWorldFromVue from './components/HelloWorldFromVue.vue';
import HelloWorldFromReact from './components/HelloWorldFromReact.vue';
import HelloWorldFromSvelte from './components/HelloWorldFromSvelte.vue';
</script>

<template>
  <div class="flex flex-1 min-h-screen gap-10 p-10">
    <div class="flex flex-1 border">
      <Suspense>
        <HelloWorldFromVue />

        <template #fallback>
          Loading...
        </template>
      </Suspense>
    </div>

    <div class="flex flex-1 border">
      <Suspense>
        <HelloWorldFromReact />

        <template #fallback>
          Loading...
        </template>
      </Suspense>
    </div>

    <div class="flex flex-1 border">
      <Suspense>
        <HelloWorldFromSvelte />

        <template #fallback>
          Loading...
        </template>
      </Suspense>
    </div>
  </div>
</template>
